﻿// HSS.Data.IDataEntity.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       IDataEntity.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data
{
	#region IDataEntity
	/// <summary>
	/// IDataEntity marks an object with the minimal requirements to be able to participate in the DataAccessService services.
	/// </summary>
	public interface IDataEntity
	{
		/// <summary>
		/// Implement this method to populate your Object Model class from a <see cref="System.Data.IDataRecord"/>
		/// </summary>
		/// <param name="dr">A <see cref="System.Data.IDataRecord"/> containing the data for this Entity</param>
		void Load(System.Data.IDataRecord dr);
	}
	#endregion
}