﻿// HSS.Data.ModelGenerator.About.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       About.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/24/2010
// ----------------------------------------------------------------------------
namespace HSS.Data.ModelGenerator
{
	#region Using Directives
	using System.Globalization;
	using System.Windows.Forms;
	#endregion

	#region About
	/// <summary>
	/// Application About.
	/// </summary>
	public partial class About : Form
	{
		#region Constructors
		/// <summary>
		/// No args constructor.
		/// </summary>
		public About()
		{
			this.InitializeComponent();

			this.lblProductName.Text = Program.Context.AssemblyProduct;
			this.lblVersion.Text =
				string.Format(
					CultureInfo.InvariantCulture,
					Properties.Resources.VERSION,
					Program.Context.AssemblyVersion);
			this.lblCopyright.Text = Program.Context.AssemblyCopyright;
			this.txtDescription.Text = Program.Context.AssemblyDescription;
		}
		#endregion
	}
	#endregion
}