﻿// HSS.Data.ModelGenerator.Token.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       Token.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data.ModelGenerator
{
	#region Token
	/// <summary>
	/// Token describes the name and description of a default token from the Resource file.
	/// </summary>
	internal class Token
	{
		#region Constructors
		/// <summary>
		/// The one and only constructor.
		/// </summary>
		/// <param name="Token">The name of the Token.</param>
		/// <param name="Description">Its purpose.</param>
		internal Token(string Token, string Description)
		{
			this.Name = Token;
			this.Description = Description;
		}
		#endregion

		#region Properties
		/// <summary>
		/// The name of the Token.
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// Its purpose.
		/// </summary>
		public string Description { get; set; }
		#endregion
	}
	#endregion
}