// HSS.Forms.Design.TextControlDesigner.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       TextControlDesigner.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms.Design
{
	#region Using Directives

	#endregion

	/// <summary>
	/// Summary description for TextControlDesigner.
	/// </summary>
	public class TextControlDesigner : System.Windows.Forms.Design.ControlDesigner
	{
		#region Constructors
		/// <summary>
		/// Constructor
		/// </summary>
		public TextControlDesigner()
		{
		}
		#endregion

		#region Methods
		/// <summary>
		/// PreFilterProperties
		/// </summary>
		/// <param name="properties">IDictionary</param>
		protected override void PreFilterProperties(System.Collections.IDictionary properties)
		{
			properties.Remove("BackgroundImage");
			properties.Remove("RightToLeft");
			properties.Remove("AllowDrop");
			properties.Remove("ContextMenu");
			properties.Remove("AutoScroll");
			properties.Remove("AutoScrollMargin");
			properties.Remove("AutoScrollMinSize");
			properties.Remove("Cursor");
			properties.Remove("ImeMode");
		}
		#endregion
	}
}