// HSS.Forms.ValueMember.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ValueMember.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives

	#endregion

	#region ValueMember
	/// <summary>
	/// A ListControl Value Member class
	/// </summary>
	/// <remarks>Used for ListControl DataSources</remarks>
	public class ValueMember
	{
		/// <summary>
		/// ctor
		/// </summary>
		/// <param name="Text">The text to display for this instance</param>
		/// <param name="Value">The value for this instance</param>
		public ValueMember(string Text, object Value)
		{
			this._value = Value;
			this._display = Text;
		}

		/// <summary>
		/// The value for this instance
		/// </summary>
		public object Value
		{ get { return _value; } } object _value;
		/// <summary>
		/// The text to display for this instance
		/// </summary>
		public string TextDisplay
		{ get { return _display; } } string _display;
	}
	#endregion
}