// HSS.Logging.Management.SelectedItemEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       SelectedItemEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging.Management
{
	#region Using Directives
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.Windows.Forms;
	#endregion

	/// <summary>
	/// SelectedItemEventArgs
	/// </summary>
	public class SelectedItemEventArgs : EventArgs
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public SelectedItemEventArgs()
		{
		}
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="Entry">The selected LogEntry</param>
		public SelectedItemEventArgs(LogEntry Entry)
		{
			_entry = Entry;
		}
		/// <summary>
		/// The selected LogEntry
		/// </summary>
		public LogEntry Entry
		{
			get { return _entry; }
		} LogEntry _entry;
	}

}