﻿// HSS.ServiceModel.BypassAuthenticationAttribute.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       BypassAuthenticationAttribute.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.ServiceModel
{
	#region Using Directives
	using System;
	#endregion

	/// <summary>
	/// Marks a service class, or a service class method as not requiring
	/// an authenticated user.
	/// </summary>
	[AttributeUsage(AttributeTargets.Class | AttributeTargets.Method)]
	public sealed class BypassAuthenticationAttribute : Attribute
	{
		/// <summary>
		/// Constructor
		/// </summary>
		public BypassAuthenticationAttribute()
		{

		}
	}
}