﻿// HSS.ServiceModel.VirtualServiceProviderAlreadyInitializedException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       VirtualServiceProviderAlreadyInitializedException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.ServiceModel
{
	#region VirtualServiceProviderAlreadyInitializedException
	/// <summary>
	/// The VirtualServiceProvider has already been initialized.
	/// </summary>
	public class VirtualServiceProviderAlreadyInitializedException : System.Exception
	{
		#region Constructors
		/// <summary>
		/// Constructor
		/// </summary>
		public VirtualServiceProviderAlreadyInitializedException()
			: base("The VirtualServiceProvider has already been initialized.")
		{

		}
		#endregion
	}
	#endregion
}