﻿// HSS.ServiceModel.IChannelConfiguration.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       IChannelConfiguration.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.ServiceModel
{
	#region IChannelConfiguration
	/// <summary>
	/// Defines the contract connection information for a VirtualChannel.
	/// </summary>
	public interface IChannelConfiguration
	{
		/// <summary>
		/// Gets the Services Path.
		/// </summary>
		string ServicePath { get; }
		/// <summary>
		/// Gets the Services TypeName.
		/// </summary>
		string ServiceTypeName { get; }
		/// <summary>
		/// Gets the Service Token.
		/// </summary>
		string ServiceToken { get; }
	}
	#endregion
}