﻿// ServiceModel.Silverlight5.Tests.Web.ITestService.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ITestService.cs
// Author:     HSS\gbanta
// Created:    06/13/2012
// Modified:   06/13/2012
// ----------------------------------------------------------------------------
using System;
using System.ServiceModel;
using System.Collections.Generic;
namespace ServiceModel.Silverlight5.Tests
{
	[ServiceContract(Namespace = "https://secure.highspeed-solutions.net/testing")]
	public interface ITestService
	{
		[OperationContract]
		void InvokeActionAsyncTest();

		[OperationContract]
		string InvokeFuncAsyncTest();

		[OperationContract]
		void InvokeActionWithErrorAsyncTest();

		[OperationContract]
		void InvokeTimeDelayed(int delaySeconds);

		[OperationContract]
		IEnumerable<Person> GetAllPeople();

		[OperationContract]
		bool UpdatePerson(Person person);

		[OperationContract]
		bool AddPeople(IEnumerable<Person> newPeople);

	}
}