﻿// HSS.ISecuredConfigurationElement.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ISecuredConfigurationElement.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS
{
	/// <summary>
	/// This is a marker interface, indicating that any class that
	/// implements this interface should be encrypted when persisted.
	/// </summary>
	public interface ISecuredConfigurationElement : IConfigurationElement
	{
	}
}