// HSS.Logging.EventLogType.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       EventLogType.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging
{
	#region EventLogType
	/// <summary>
	/// The Type of log to write event entries to
	/// </summary>
	[System.Serializable()]
	public enum EventLogType : int
	{
		/// <summary>
		/// Write event entries to a database
		/// </summary>
		Database,
		/// <summary>
		/// Write event entries to the Machines EventLog
		/// </summary>
		Machine
	}
	#endregion
}