﻿// HSS.Data.ModelGenerator.DatabaseObjectSelectedEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       DatabaseObjectSelectedEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data.ModelGenerator
{
	#region DatabaseObjectSelectedEventArgs
	/// <summary>
	/// DatabaseObjectSelectedEventArgs
	/// </summary>
	public class DatabaseObjectSelectedEventArgs : System.EventArgs
	{
		#region Constructors
		/// <summary>
		/// Constructor
		/// </summary>
		public DatabaseObjectSelectedEventArgs()
		{

		}
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="selectedObject">The Selected <see cref="ObjectDefinition"/></param>
		public DatabaseObjectSelectedEventArgs(ObjectDefinition selectedObject)
		{
			this.SelectedObject = selectedObject;
		}
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the Selected <see cref="ObjectDefinition"/>.
		/// </summary>
		public ObjectDefinition SelectedObject
		{
			get;
			set;
		}
		#endregion
	}
	#endregion
}