﻿// HSS.Data.ModelGenerator.Templates.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       Templates.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data.ModelGenerator
{
	#region Templates
	/// <summary>
	/// Provides access to the default Templates.
	/// </summary>
	public static class Templates
	{
		/// <summary>
		/// Gets the default single file template
		/// </summary>
		public static string DefaultSingleFileTemplate
		{
			get { return Template.DEFAULT_TEMPLATE; }
		}
		/// <summary>
		/// Gets the default partial entity file template
		/// </summary>
		public static string DefaultPartialEntityFileTemplate
		{
			get { return Template.DEFAULT_PARTIALENTITY; }
		}
		/// <summary>
		/// Gets the default partial context file template
		/// </summary>
		public static string DefaultPartialContextFileTemplate
		{
			get { return Template.DEFAULT_PARTIALCONTEXT; }
		}
	}
	#endregion
}