﻿// HSS.Data.DuplicateDataEntityException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       DuplicateDataEntityException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data
{
	#region DuplicateDataEntityException
	/// <summary>
	/// The exception that is thrown when an attempt to get data from the DataAccessServices GetHashset method returns duplicate data.
	/// </summary>
	public class DuplicateDataEntityException : System.Exception
	{
		/// <summary>
		/// Initializes a new instance of the HSS.Data.DuplicateDataEntityException class.
		/// </summary>
		public DuplicateDataEntityException()
		{
		}
		/// <summary>
		/// Initializes a new instance of the HSS.Data.DuplicateDataEntityException class with a specified error message.
		/// </summary>
		/// <param name="message">The message that describes the error.</param>
		public DuplicateDataEntityException(string message)
			: base(message)
		{
		}
	}
	#endregion
}