﻿// HSS.Forms.ConnectionStringText.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ConnectionStringText.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/24/2010
// ----------------------------------------------------------------------------
using System;
using System.Windows.Forms;

namespace HSS.Forms
{
	internal partial class ConnectionStringText : Form
	{
		public ConnectionStringText()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Gets or sets the connection string to edit.
		/// </summary>
		public string ConnectionString
		{
			get { return this.txtSqlConnStr.Text; }
			set { this.txtSqlConnStr.Text = value; }
		}

		private void btnOK_Click(object sender, EventArgs e)
		{
			this.DialogResult = DialogResult.OK;
			this.Close();
		}

		private void btnCancel_Click(object sender, EventArgs e)
		{
			this.DialogResult = DialogResult.Cancel;
		}
	}
}