// HSS.Forms.ExplorerView.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ExplorerView.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives

	#endregion

	#region ExplorerView
	/// <summary>
	/// A Flicker Free TreeView
	/// </summary>
	public class ExplorerView : System.Windows.Forms.TreeView
	{
		/// <summary>
		/// Constructor
		/// </summary>
		public ExplorerView()
		{
		}

		/// <summary>
		/// Intercepts the EraseBackground Message and skips.
		/// </summary>
		/// <param name="m">A System.Windows.Forms.Message</param>
		protected override void WndProc(ref System.Windows.Forms.Message m)
		{
			if (m.Msg == 20)
				m = new System.Windows.Forms.Message();
			else
				base.WndProc(ref m);
		}
	}
	#endregion
}