// HSS.Forms.TimeSelector.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       TimeSelector.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
using System;
using System.Windows.Forms;

namespace HSS.Forms
{
	/// <summary>
	/// A simple form allowing for a user to Select a time
	/// </summary>
	public partial class TimeSelector : Form
	{
		/// <summary>
		/// Constructor
		/// </summary>
		public TimeSelector()
		{
			InitializeComponent();
		}

		/// <summary>
		/// The Time created or edited
		/// </summary>
		public DateTime Time
		{
			get { return this.dateTimePicker1.Value; }
			set { this.dateTimePicker1.Value = value; }
		}
	}
}