// HSS.Logging.Management.LogViewerAbout.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       LogViewerAbout.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
using System.Reflection;
using System.Windows.Forms;

namespace HSS.Logging.Management
{
	internal sealed partial class LogViewerAbout : Form
	{
		public LogViewerAbout()
		{
			InitializeComponent();
			this.lblVersion.Text = LogViewerAbout.AssemblyVersion;
		}

		static string AssemblyVersion
		{
			get
			{
				object[] attributes = typeof(LogViewerAbout).Assembly.GetCustomAttributes(typeof(AssemblyFileVersionAttribute), false);
				if (attributes.Length == 0)
					return typeof(LogViewerAbout).Assembly.GetName().Version.ToString(4);
				else
					return ((AssemblyFileVersionAttribute)attributes[0]).Version;
			}
		}
	}
}