// HSS.Logging.Management.WizardAction.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       WizardAction.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging.Management
{
	#region Using Directives
	using System;
	#endregion

	/// <summary>
	/// Availble actions for the Logging Management Wizard
	/// </summary>
	public enum WizardAction
	{
		/// <summary>
		/// No action
		/// </summary>
		None,
		/// <summary>
		/// Add all features
		/// </summary>
		AddAllFeatures,
		/// <summary>
		/// Remove all features
		/// </summary>
		RemoveAllFeatures
	}
}