﻿// HSS.ServiceModel.VirtualChannelNotInitializedException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       VirtualChannelNotInitializedException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.ServiceModel
{
	/// <summary>
	/// Cannot access the VirtualChannel until it has been initialized.
	/// </summary>
	public class VirtualChannelNotInitializedException : System.Exception
	{
		/// <summary>
		/// Constructor
		/// </summary>
		public VirtualChannelNotInitializedException()
			: base("Cannot access the VirtualChannel until it has been initialized.")
		{

		}
	}
}