﻿// HSS.ServiceModel.VirtualServicesNotInitializedException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       VirtualServicesNotInitializedException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.ServiceModel
{
	#region VirtualServicesNotInitializedException
	/// <summary>
	/// Cannot register a virtual directory until the VirtualServiceProvider has been initialized.
	/// </summary>
	public class VirtualServicesNotInitializedException : System.Exception
	{
		#region Constructors
		/// <summary>
		/// Constructor
		/// </summary>
		public VirtualServicesNotInitializedException()
			: base("Cannot register a virtual directory until the VirtualServiceProvider has been initialized.")
		{

		}
		#endregion
	}
	#endregion
}