﻿// ServiceModel.Silverlight5.Tests.Person.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       Person.cs
// Author:     HSS\gbanta
// Created:    06/13/2012
// Modified:   06/13/2012
// ----------------------------------------------------------------------------
using System.Collections.Generic;

namespace ServiceModel.Silverlight5.Tests
{
	public class Person
	{
		public Person()
		{

		}

		public string FirstName { get; set; }

		public string LastName { get; set; }

		public string UserName { get; set; }

		public string DisplayName { get; set; }

		public string WifesName { get; set; }

		public int Age { get; set; }

		public string City { get; set; }

		public string State { get; set; }

#if !SILVERLIGHT
		public static IEnumerable<Person> GetPeople()
		{
			List<Person> people = new List<Person>(500);
			for (int i = 0; i < 100; i++)
			{
				Person p = new Person
				{
					Age = i,
					City = string.Format("City {0}", i),
					DisplayName = string.Format("DisplayName {0}", i),
					FirstName = string.Format("FirstName {0}", i),
					LastName = string.Format("LastName {0}", i),
					State = string.Format("State {0}", i),
					UserName = string.Format("UserName {0}", i),
					WifesName = string.Format("WifesName {0}", i)
				};
				people.Add(p);
			}
			return people;
		}
#endif
	}
}